package com.foreverwin.mesnac.production.dto;

import com.foreverwin.mesnac.production.model.WorkShopTransfer;

import java.time.LocalDate;

public class WorkShopTransferDto extends WorkShopTransfer {
    private String lastOperation;
    private String lastOperationDesc;
    private String blankingSize;
    private String workOrder;
    private String itemDesc;
    private String itemNumber;
    private String operationDesc;
    private String status;
    private String dispatchNo;
    private String resrce;
    private String workCenterDesc;
    private String employeeDescription;
    private String lastStepId;
    private LocalDate localDate;

    public LocalDate getLocalDate() {
        return localDate;
    }

    public void setLocalDate(LocalDate localDate) {
        this.localDate = localDate;
    }

    public String getLastStepId() {
        return lastStepId;
    }

    public void setLastStepId(String lastStepId) {
        this.lastStepId = lastStepId;
    }

    public String getEmployeeDescription() {
        return employeeDescription;
    }

    public void setEmployeeDescription(String employeeDescription) {
        this.employeeDescription = employeeDescription;
    }

    public String getWorkCenterDesc() {
        return workCenterDesc;
    }

    public void setWorkCenterDesc(String workCenterDesc) {
        this.workCenterDesc = workCenterDesc;
    }

    public String getResrce() {
        return resrce;
    }

    public void setResrce(String resrce) {
        this.resrce = resrce;
    }

    public String getDispatchNo() {
        return dispatchNo;
    }

    public void setDispatchNo(String dispatchNo) {
        this.dispatchNo = dispatchNo;
    }

    @Override
    public String getLastOperation() {
        return lastOperation;
    }

    @Override
    public void setLastOperation(String lastOperation) {
        this.lastOperation = lastOperation;
    }

    public String getLastOperationDesc() {
        return lastOperationDesc;
    }

    public void setLastOperationDesc(String lastOperationDesc) {
        this.lastOperationDesc = lastOperationDesc;
    }

    public String getBlankingSize() {
        return blankingSize;
    }

    public void setBlankingSize(String blankingSize) {
        this.blankingSize = blankingSize;
    }

    public String getWorkOrder() {
        return workOrder;
    }

    public void setWorkOrder(String workOrder) {
        this.workOrder = workOrder;
    }

    public String getItemDesc() {
        return itemDesc;
    }

    public void setItemDesc(String itemDesc) {
        this.itemDesc = itemDesc;
    }

    public String getItemNumber() {
        return itemNumber;
    }

    public void setItemNumber(String itemNumber) {
        this.itemNumber = itemNumber;
    }

    public String getOperationDesc() {
        return operationDesc;
    }

    public void setOperationDesc(String operationDesc) {
        this.operationDesc = operationDesc;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
